//+------------------------------------------------------------------+
//|                                             00 - ChgTF Prova.mq4 |
//|                                    Copyright  2012, Peperlizio. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, Peperlizio."

#import "user32.dll"
   int      PostMessageA(int hWnd,int Msg,int wParam,int lParam);
   int      GetWindow(int hWnd,int uCmd);
   int      GetParent(int hWnd);
#import

#define VK_END             0x23
#define WM_COMMAND         0x0111
#define WM_KEYDOWN         0x0100

extern int Timeframe = PERIOD_M30;

string tmp;
string Prefix = "CNGTF";
#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   for (int i=ObjectsTotal()-1; i>=0; i--) 
    {
     tmp = ObjectName(i);
     if (StringFind(tmp,Prefix) >= 0) ObjectDelete(tmp);
    }
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int  TF, Windows;
   
   switch (Timeframe)
    {
     case PERIOD_M1:   TF = 33137;  break;
     case PERIOD_M5:   TF = 33138;  break;
     case PERIOD_M15:  TF = 33139;  break;
     case PERIOD_M30:  TF = 33140;  break;
     case PERIOD_H1:   TF = 35400;  break;
     case PERIOD_H4:   TF = 33136;  break;
     case PERIOD_D1:   TF = 33134;  break;
     case PERIOD_W1:   TF = 33141;  break;
     case PERIOD_MN1:  TF = 33334;  break;
    }
    
   tmp = Prefix+"+";
   if (ObjectFind(tmp) == -1)
    {
     ObjectCreate(tmp,OBJ_LABEL,0,0,0);
     ObjectSetText(tmp,"+",12,"Arial",DarkOrange);
     ObjectSet(tmp,OBJPROP_XDISTANCE,10);
     ObjectSet(tmp,OBJPROP_YDISTANCE,10);
     ObjectSet(tmp,OBJPROP_CORNER,1);
    }
   
   if (ObjectGet(tmp,OBJPROP_XDISTANCE)!=10 || ObjectGet(tmp,OBJPROP_YDISTANCE)!=10)
    {
     ObjectSet(tmp,OBJPROP_XDISTANCE,10);
     ObjectSet(tmp,OBJPROP_YDISTANCE,10);
     if (Period() != Timeframe)
      {
       Windows = GetWindow( WindowHandle( Symbol(), Period() ),0); 
       PostMessageA(Windows,WM_COMMAND,TF,0);
       PostMessageA(Windows,WM_KEYDOWN,VK_END,0);
      }
    }
   return(0);
  }
//+------------------------------------------------------------------+